package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseBidNoticePageBody extends BasePage
{
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer companyId;

    //信息类型
    private String tenderStage;

    //项目名称
    private String projectName;

    /**
     * provinceId
     */
    private Integer provinceId;

}
