package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 对外投资列表
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseInvestmentBody extends BasePage {

    //企业Id
    @NotNull(message = "企业id不能为空")
    private Integer cid;
    private Integer hasBid;
    private double stockPercentageMin;
    private double stockPercentageMax;


}
