package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseProjectBidNoticeProPageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;

    /**
     * 查询关键字
     */
    private String keys;

    /**
     * 项目类别
     */
    private String projectType;

    /**
     * 工程用途
     */
    private String projectPurposes;

    /**
     * 评标办法
     */
    private String bidAssessmentWay;



}
