package com.dsk.common.dtos;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class BusinessInfoDto {

	String ename;

	String resultEname;

	String businessScopeQueryType;

	Double registeredCapital;

	Double leftRegisteredCapital;

	Double rightRegisteredCapital;

	Double leftActualCapi;

	Double rightActualCapi;

	String queryType;

	//参保人数 起
	Integer startInsuredNum;
	//参保人数 止
	Integer endInsuredNum;
	//是否有电话 0否 1是
	Integer hasPhone;
	//是否高新技术企业 0否 1是
	Integer isHighTech;
	//税务登记 1：A级
	Integer	taxLvl;

	String taxYear;

	//企业类型
	// 1 国有企业
	// 2 集体企业
	// 3 股份有限公司
	// 4 有限责任公司
	// 5 联营企业
	// 6 港、澳、台商投资企业
	// 7 私营企业
	// 8 外商投资企业
	// 9 个体工商户
	// 10 股份制企业
	// 11 事业单位
	// 12 其他
	String companyType;

	//成立日期
	Date startRegisteredDate;
	Date endRegisteredDate;

	Integer hasAptitude;

	Integer hasLiceCert;

	Integer no;

	Double rate;

	String isLocalC;

	String isISO;

	String isEMS;

	String isOHSMS;

	String certData;

	String nameSimple;

	String logoUrl;

	String registeredDate;

	String liceValidityDate;

	Integer liceValidDay;

	String url;

	String registeredCapitalStr;

	String id;

	String companyId;

	Integer jskEid;

	String regionId;

	String source;

	String name;
	//中文经营状态(枚举:在业、清算、迁入、迁出、停业、撤销、吊销、注销、不详)
	String businessStatus;

	String formerName;

	String creditCode;

	String legalPerson;

	String registrationType;

	Double actualCapi;

	String domicile;

	String domicileNum;

	String domicileCity;

	String domicileCounty;

	String registerProvince;

	String registerCity;

	String registerCounty;

	Integer isCountryCredit;

	String businessAddress;

	String businessScope;

	Integer isLocal;

	String attn;

	String phone;

	String other;

	String regionInfo;
	@JSONField(format="yyyy-MM-dd")
	Date rateTime;
	// 资质数
	Integer aptitudeCount;

	// 项目数

	Integer projectCount;

	// 人数

	Integer persionCount;

	//最新中标个数

	Integer recentlyCount;

	Integer numPunish;

	Integer badCreditChinaCount;

	Integer zzZfcgsxCount;

	Integer seriousIllegalCount;

	Integer zzSxbzxCount;

	Integer zzJdcgsxCount;

	Integer zzRiskBidCount;

	// -------------注册地与备案地 重构版----------------

	String filePlaceCode;//备案地code

	public Integer filePlaceType;//备案地类型  1 本省企业或外地备案 2 外地备案 3 本省企业

	String province;//注册地 省级code 多个逗号隔开

	String city;//注册地 市级code 多个逗号隔开

	String county;//注册地 区级code 多个逗号隔开

	String regionWeb;//企业备案网站

	String tagCode;//企业标签
}
