package com.dsk.common.dtos;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 组合查询参数
 * @author Administrator
 *
 */
@Data
public class JiangxiBidQueryDto {

	//参建单位  施工单位
	String ename;
	//建设单位
	String buildCorpName;
	//中标金额
	Double startMoney;

	Double endMoney;
	//包含金额未公示
	String hasMoney;
	// 中标开始时间
	Date startTenderTime;
	// 中标结束时间
	Date endTenderTime;
	//开工日期开始
	Date startWorkDate;
	//开工日期结束
	Date endWorkDate;
	//竣工日期开始
	Date startCheckDate;
	//竣工日期结束
	Date endCheckDate;
	// 实际竣工开始日期
	Date startCheckCheckDate;
	// 实际竣工结束日期
	Date endCheckCheckDate;
	//实际开工开始日期
	Date startCheckWorkDate;
	//实际开工结束日期
	Date endCheckWorkDate;
	//业绩时间同时具备、任意均可
	String timeQueryType;
	// 关键词(包含)
	List<KeywordDto> keywords;
	// 关键词(不包含)
	String keywordNot;
	// 关键词(不包含)查询类型 project项目名称  scale建设规模  projectOrScale项目名称或建设规模
	String keywordNotType;

	//单项查询 关键词包含
	String singleKeywordIn;
	//单项查询 关键词不包含
	String singleKeywordOut;
	//单项查询 关键词体现节点
	String singleKeywordInNode;
	//单项查询 关键词体现节点
	String singleKeywordOutNode;
//	// 项目属地
//	String divisionStr;
	//项目所在城市
	String cityStr;
	//所在区
	String countyStr;
	// 业绩数量
	Integer achievementCount;

	String city;

	String county;
}
