package com.dsk.common.dtos;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.util.Date;

/**
 * 组合查询参数
 * @author Administrator
 *
 */
@Data
public class JskBidQueryDto {


	String id;

	String title;
	//查找范围
	String queryScope;
	//"询价", "比选", "邀请", "竞争性谈判", "竞争性磋商", "单一来源", "竞价", "直接发包", "公开招标",其他',
	String tenderingManner;
	//招标金额
	Double bidMoney;

	String hasMoney;

	Double startBidMoney;

	Double endBidMoney;

	String domicile;

	String tenderStage;

	String projectType;

	String companyName;

	String projectName;

	String contentInfo;

	Integer jskEid;

	String tenderTime;
	@JSONField(format="yyyy-MM-dd")
	Date startTenderTime;
	// 发布结束时间
	@JSONField(format="yyyy-MM-dd")
	Date endTenderTime;

	String punishDate;
	// 发布开始时间
	@JSONField(format="yyyy-MM-dd")
	Date startPunishDate;
	// 发布结束时间
	@JSONField(format="yyyy-MM-dd")
	Date endPunishDate;
	//行业
	String industry;
	// 标的物类型：工程/货物/服务/其他
	String subjectMatter;
	//中标标金额
	Double startTenderMoney;

	Double endTenderMoney;

	String overTime;

	String phonePoint;

	String contact;

	String contactTel;

	String source;

	String agency;

	Integer agencyId;

	String agencyContact;

	String agencyContactTel;

	String province;

	String city;

	String county;

	/**
	 * 修改时间
	 */
	private String updateTime;
}
