package com.dsk.common.dtos;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @ClassName OpRegionalEconomicDataV1Dto
 * @Description 地区经济
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class OpRegionalEconomicDataStatisticsRegionalDto {

    /**
     * id
     */
    @NotNull(message = "id 不能为空")
    private Integer id;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 省Id
     */
    private Integer provinceId;

    /**
     * 市Id
     */
    private Integer cityId;

    /**
     * 区Id
     */
    private Integer areaId;
}
