package com.dsk.common.dtos;

import lombok.Data;

/**
 * @ClassName SpecialPurposeBonds
 * @Description 专项债-项目类别统计
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class SpecialPurposeBondsDto {

    /**
     * 省Id
     */
    private Integer provinceId;

    /**
     * 项目类型
     */
    private String specialBondProjectType;
    /**
     * 项目个数
     */
    private Integer count;
    /**
     * 投资金额
     */
    private Double projectTotalInvestment;
    /**
     * 比例（%）
     */
    private Double proportion;
    /**
     * 排序字段
     */
    private String field;
    /**
     * 排序 (降序desc 升序asc)
     */
    private String order;
    /**
     * 是否为历史（1是，0否）
     */
    private Integer isHistory;

}
