package com.dsk.system.domain.customer;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户决策链条(CustomerDecisionChain)实体类
 *
 * @author makejava
 * @since 2023-05-16 15:33:45
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("customer_decision_chain")
public class CustomerDecisionChain implements Serializable {
    private static final long serialVersionUID = 990085082282249053L;

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 角色
     */
    private String role;
    /**
     * 公司/机关（工作单位）
     */
    private String workUnit;
    /**
     * 职位
     */
    private String position;
    /**
     * 联系方式
     */
    private String contactInformation;
    /**
     * 备注
     */
    private String remark;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新人
     */
    private String updateBy;

    private Long updateId;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
