package com.dsk.system.domain.customer.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 客户合作情况筛选对象
 * @author lcl
 * @create 2023/5/16
 */
@Data
public class CustomerBusinessSearchDto implements Serializable {
    /**
     * 企业id
     */
    private String customerId;
    /**
     * 企业id
     */
    private Long userId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目阶段
     */
    private String projectStage;
    /**
     * 项目状态
     */
    private Integer status;

}
