package com.dsk.system.service;

import com.dsk.system.domain.customer.CustomerDecisionChain;
import com.dsk.system.domain.customer.dto.CustomerDecisionChainSearchDto;

import java.util.List;

/**
 * 客户决策链条(CustomerDecisionChain)表服务接口
 *
 * @author makejava
 * @since 2023-05-16 15:33:45
 */
public interface ICustomerDecisionChainService {

    /**
     * 查询数据列表
     */
    List<CustomerDecisionChain> selectList(CustomerDecisionChainSearchDto dto);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CustomerDecisionChain selectById(Long id);

    /**
     * 新增数据
     *
     * @param customerDecisionChain 实例对象
     * @return 实例对象
     */
    boolean insert(CustomerDecisionChain customerDecisionChain);

    /**
     * 修改数据
     *
     * @param customerDecisionChain 实例对象
     * @return 实例对象
     */
    boolean update(CustomerDecisionChain customerDecisionChain);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

}
