package com.dsk.web.controller.search.macroMarket;

import com.dsk.common.core.page.TableDataInfo;
import com.dsk.common.dtos.ComposeQueryDto;
import com.dsk.system.service.RegionalEnterprisesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName RegionalEnterprisesController
 * @Description 区域企业
 * @Author Dgm
 * @Date 2023/5/24 16:20
 * @Version
 */
@RestController
@RequestMapping(value="/enterprises")
public class RegionalEnterprisesController {

    @Autowired
    private RegionalEnterprisesService regionalEnterprisesService;

    @PostMapping("regional/page")
    public TableDataInfo page(@RequestBody ComposeQueryDto compose) throws Exception{
        return regionalEnterprisesService.page(compose);
    }
}
