package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseProjectLandTransactionPageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;

    /**
     * 土地用途
     */
    private List<String> landUse;

    /**
     * 查询关键字
     */
    private String keys;


    /*
     * 1金额倒序，2金额正序，3时间倒序，4时间正序，11面积倒序，12面积正序
     */
    private Integer sort;

}
