package com.dsk.common.dtos;

import lombok.Data;

import java.util.Date;

/**
 * @author 刘昌
 * @date 2020/9/4 9:08
 */
@Data
public class AwardDto {

    String id;
    //建安宝企业id
    String eid;
    //奖项类型（建安标品汇）
    String type;
    //建设库公司id
    Integer companyId;
    //公司名称
    String ename;
    //奖项名称
    String name;

    String staffName;
    //企业角色
    String companyRole;
    //项目名称
    String projectName;
    //项目类型
    String projectType;
    //验收等级
    String grade;

    String gradeStr;
    //颁发机构 JSON数组
    String organization;
    //奖项级别
    String level;
    //奖项小类
    String sectionType;
    //行业类型
    String industryType;

    String industryTypeStr;
    //省份
    String province;
    //省份ID
    Integer provinceId;
    //市
    String city;
    //城市ID
    Integer cityId;

    String area;

    Integer areaId;
    //格式化后的发布时间
    Date publishDate;
    //获奖年度
    String year;
    //获奖起始年度
    Integer yearBegin;
    //获奖截止年度
    Integer yearOver;
    //原文链接
    String href;
    //快照截图地址, 存相对路径
    String pathSnapshot;
    //符合荣誉条件的数量
    Integer awardNum;
    //省份列表
    String provinceStr;
    //市区列表
    String cityStr;

    //荣誉名称列表
    String nameStr;
    //颁发单位
    String organizationStr;
    //开始发布时间
    String startPublishDate;
    //结束时间
    String endPublishDate;
}
