package com.dsk.common.dtos;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

import java.util.Date;

/**
 * 组合查询参数
 * @author Administrator
 *
 */
@Data
public class JskBidNewsDto {

	String id;
	//省
	String province;
	//市
	String city;
	//区
	String county;
	//项目名称
	String projectName;
	//项目类型
	String projectType;
	//工程用途
	String projectPurposes;
	//工程用途
	String projectLevel;
	//评标办法
	String bidAssessmentWay;
	//评标委员会-有无业主代表，0为未知，1为无，2为有
	String bidMettingHasProjectUnit;
	//有无预付款，0为未知，1为无，2为有
	String hasAdvanceAmount;
	//保证金缴纳
	String projectEnsureAmountPayType;
	// 发布开始时间
	@JSONField(format="yyyy-MM-dd")
	Date startPubdate;
	// 发布结束时间
	@JSONField(format="yyyy-MM-dd")
	Date endPubdate;

	// 开标截至时间开始
	@JSONField(format="yyyy-MM-dd")
	Date startEndTimeDate;
	// 开标截至时间结束
	@JSONField(format="yyyy-MM-dd")
	Date endEndTimeDate;
	//项目金额开始
	Double startProjectAmount;
	//项目金额结束
	Double endProjectAmount;
	//项目投资额开始
	Double startProjectInvestmentAmount;
	//项目投资额结束
	Double endProjectInvestmentAmount;
	//合同估算价开始
	Double startProjectContractAmount;
	//合同估算价结束
	Double endProjectContractAmount;
	//建安费开始
	Double startProjectSafeAmount;
	//建安费结束
	Double endProjectSafeAmount;
	//勘察费开始
	Double startProjectSurveyAmount;
	//勘察费结束
	Double endProjectSurveyAmount;
	//设计费开始
	Double startProjectDesignAmount;
	//设计费结束
	Double endProjectDesignAmount;
	//投标保证金开始
	Double startProjectEnsureAmount;
	//投标保证金结束
	Double endProjectEnsureAmount;

	//资质要求
	String qualiLimit;
	//业绩要求
	String projectLimit;
	//人员要求
	String personLimit;

	//招标人
	String tenderee;
	//代理机构
	String agency;
	//时间
	String dateStr;
	//金额
	String moneyStr;

	String tendereeId;

	String tendereeTel;

	String agencyId;

	String agencyTel;

	String eligibleEnterprisesUrl;

	String pubdate;

	String endTimeDate;

	String projectAmount;
	//项目投资额
	String projectInvestmentAmount;
	//合同估算价
	String projectContractAmount;
	//建安费
	String projectSafeAmount;
	//综合单价
	String projectComprehensiveAmount;
	//勘察费
	String projectSurveyAmount;
	//设计费
	String projectDesignAmount;
	//投标保证金
	String projectEnsureAmount;
	//是否有文档
	String hasFile;
	//项目特点解析
	String projectCharacteristics;
    //市场分析及报价策略
	String marketAnalysis;
	//成本分析
	String costAnalysis;
}
