package com.dsk.common.dtos;

import lombok.Data;

/**
 * @ClassName OpRegionalEconomicDataV1Dto
 * @Description 专项债-项目类别统计
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class OpRegionalEconomicDataV1Dto {

    /**
     * id
     */
    private Integer id;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 省Id
     */
    private Integer provinceId;

    /**
     * 市Id
     */
    private Integer cityId;

    /**
     * 区Id
     */
    private Integer areaId;

    /**
     * 城市类型 1：直辖市
     */
    private Integer cityType;

    /**
     * 城市类型 1：直辖市
     */
    private Integer provinceType;
}
