package com.dsk.common.dtos;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ZaiJianPersonnelDto extends Personnel {
	
	Integer no;
	
	String id;
	
	String registerType;
	
	String cardNumber;
	
	String sealNumber;
	
	Date validDate;
	
	String pid;
	
	String eid;
	
	Integer jskEid;
	
	String specialty;
	
	String ename;
	
	String projectName;
	
	String province;
	
	Long tenderDate;
	//中标时间
	String tenderTime;
	
	Double tenderMoney;
	
	Integer period;
	
	String registerInfo;
	
	String otherRegisterInfo;
	//项目状态
	String status;
	//人员角色
	String personRole;
	//业绩来源
	String source;
	
	String sourceName;
	//业绩来源类型 1四库一平台  2最新中标  3全国公路
	String sourceType;
	//信息快照
	String sourceUrl;
	//合同金额
	Double contractMoney;
	//许可金额
	Double licenceMoney;
	//实际造价（竣工金额）
	Double overMoney;
	//结算金额
	Double settlementMoney;
	//金额信息
	String totalMoney;
	//合同时间
	String contractDate;
	//许可时间
	String licenceDate;
	//计划竣工时间
	String planCompletionDate;
	//实际竣工时间
	String completionDate;
	//计划开工时间
	String planStartDate;
	//实际开工时间
	String startDate;
	//计划交工时间
	String planHandoverDate;
	//实际交工时间
	String handoverDate;
	//时间信息
	String totalDate;
	//业绩个数
	Long achievementCount;
	//各自系统的人员id
	String personId;
	//快照
	String snapshootPic;
	//人员id
	String staffId;
}
