package com.dsk.system.domain.customer.dto;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 客户跟进记录筛选对象
 *
 * @author lcl
 * @create 2023/5/18
 */
@Data
public class CustomerFollowRecordSearchDto extends BaseEntity implements Serializable {

    /**
     * 客户id
     */
    private String customerId;
    /**
     * 用户id
     */
    private Long userId;
}
