package com.dsk.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.system.domain.customer.CustomerFollowRecord;
import com.dsk.system.domain.customer.dto.CustomerFollowRecordSearchDto;
import com.dsk.system.domain.customer.vo.CustomerFollowRecordListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 客户跟进记录(CustomerFollowRecord)表数据库访问层
 *
 * @author makejava
 * @since 2023-05-18 15:07:59
 */
@Mapper
public interface CustomerFollowRecordMapper extends BaseMapper<CustomerFollowRecord> {

    List<CustomerFollowRecordListVo> selectAuthList(@Param("dto") CustomerFollowRecordSearchDto dto);

}

