package com.dsk.system.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.common.dtos.ComposeQueryDto;
import com.dsk.common.utils.DskOpenApiUtil;
import com.dsk.system.service.RegionalEnterprisesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @ClassName RegionalEnterprisesServiceImpl
 * @Description 区域企业业务层实现
 * @Author Dgm
 * @Date 2023/5/18 10:23
 * @Version
 */
@Service
public class RegionalEnterprisesServiceImpl implements RegionalEnterprisesService {

    @Autowired
    private DskOpenApiUtil dskOpenApiUtil;

    @Override
    public TableDataInfo page(ComposeQueryDto compose) throws Exception {
        Map<String, Object> map = dskOpenApiUtil.requestBody("/nationzj/enterprice/page", BeanUtil.beanToMap(compose, false, false));
        return dskOpenApiUtil.responsePage(map);
    }
}
